---

---

<astro-nav
    class="fixed w-full top-0 left-0 bg-white shadow-sm z-10"
    transition:persist="nav"
>
    <section class="max-w-6xl p-3 mx-auto flex">
        <a href="/"
            ><img
                src="/fav.png"
                class="w-10 rounded-full cursor-pointer h-full aspect-square"
            />
        </a>
        <div class="grow text-center px-8">
            <input
                type="search"
                name="busqueda"
                placeholder="Busca lo que quieras"
                class="w-full rounded-full py-2 px-4 border active:border-purple-800 outline-none focus:border-purple-800 transition-all duration-200 appearance-none"
            />
        
        </div>
        <a href="/busqueda" class="hidden"></a>
        <div class="">
            <button
                class="px-3 bg-purple-700 rounded-full border border-white py-2 text-zinc-100 hover:bg-purple-800 hover:text-white"
                onclick="
                window.location.href = '/carrito'
">Carrito</button
            >
        </div>
    </section>
    
    <script is:inline type="module">
    const search = document.querySelector('input[name="busqueda"]');
    search.addEventListener("keydown", (e) => {
        if (e.key === "Enter") {
          if (search.value) {
            window.location.href = `/busqueda?q=${search.value}`;
        }
        }
    });
</script>
</astro-nav>


